summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch
diff options
context:
space:
mode:
authorRichard Purdie <rpurdie@linux.intel.com>2010-08-27 15:14:24 +0100
committerRichard Purdie <rpurdie@linux.intel.com>2010-08-27 15:29:45 +0100
commit29d6678fd546377459ef75cf54abeef5b969b5cf (patch)
tree8edd65790e37a00d01c3f203f773fe4b5012db18 /meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch
parentda49de6885ee1bc424e70bc02f21f6ab920efb55 (diff)
downloadpoky-29d6678fd546377459ef75cf54abeef5b969b5cf.tar.gz
Major layout change to the packages directory
Having one monolithic packages directory makes it hard to find things and is generally overwhelming. This commit splits it into several logical sections roughly based on function, recipes.txt gives more information about the classifications used. The opportunity is also used to switch from "packages" to "recipes" as used in OpenEmbedded as the term "packages" can be confusing to people and has many different meanings. Not all recipes have been classified yet, this is just a first pass at separating things out. Some packages are moved to meta-extras as they're no longer actively used or maintained. Signed-off-by: Richard Purdie <rpurdie@linux.intel.com>
Diffstat (limited to 'meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch')
-rw-r--r--meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch1075
1 files changed, 1075 insertions, 0 deletions
diff --git a/meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch b/meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch
new file mode 100644
index 0000000000..c845503303
--- /dev/null
+++ b/meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch
@@ -0,0 +1,1075 @@
1--- tmp/configure.in.orig 2006-09-05 17:50:48.000000000 +0100
2+++ tmp/configure.in 2006-09-05 17:50:48.000000000 +0100
3@@ -157,7 +157,6 @@
4 target-libstdc++-v3 \
5 target-libmudflap \
6 target-libssp \
7- target-libgfortran \
8 ${libgcj} \
9 target-libobjc \
10 target-libada"
11@@ -1084,77 +1083,6 @@
12 AC_SUBST(docdir)
13 AC_SUBST(htmldir)
14
15-# Check for GMP and MPFR
16-gmplibs=
17-gmpinc=
18-have_gmp=yes
19-# Specify a location for mpfr
20-# check for this first so it ends up on the link line before gmp.
21-AC_ARG_WITH(mpfr-dir, [ --with-mpfr-dir=PATH Specify source directory for MPFR library])
22-
23-if test "x$with_mpfr_dir" != x; then
24- gmpinc="-I$with_mpfr_dir"
25- gmplibs="$with_mpfr_dir/libmpfr.a"
26-else
27- gmplibs="-lmpfr"
28-fi
29-
30-AC_ARG_WITH(mpfr, [ --with-mpfr=PATH Specify directory for installed MPFR library])
31-
32-if test "x$with_mpfr" != x; then
33- gmplibs="-L$with_mpfr/lib $gmplibs"
34- gmpinc="-I$with_mpfr/include"
35-fi
36-
37-# Specify a location for gmp
38-AC_ARG_WITH(gmp-dir, [ --with-gmp-dir=PATH Specify source directory for GMP library])
39-
40-if test "x$with_gmp_dir" != x; then
41- gmpinc="$gmpinc -I$with_gmp_dir"
42- if test -f "$with_gmp_dir/.libs/libgmp.a"; then
43- gmplibs="$gmplibs $with_gmp_dir/.libs/libgmp.a"
44- elif test -f "$with_gmp_dir/_libs/libgmp.a"; then
45- gmplibs="$gmplibs $with_gmp_dir/_libs/libgmp.a"
46- fi
47- # One of the later tests will catch the error if neither library is present.
48-else
49- gmplibs="$gmplibs -lgmp"
50-fi
51-
52-AC_ARG_WITH(gmp, [ --with-gmp=PATH Specify directory for installed GMP library])
53-
54-if test "x$with_gmp" != x; then
55- gmplibs="-L$with_gmp/lib $gmplibs"
56- gmpinc="-I$with_gmp/include $gmpinc"
57-fi
58-
59-saved_CFLAGS="$CFLAGS"
60-CFLAGS="$CFLAGS $gmpinc"
61-# Check GMP actually works
62-AC_MSG_CHECKING([for correct version of gmp.h])
63-AC_TRY_COMPILE([#include "gmp.h"],[
64-#if __GNU_MP_VERSION < 3
65-choke me
66-#endif
67-], [AC_MSG_RESULT([yes])],
68- [AC_MSG_RESULT([no]); have_gmp=no])
69-
70-if test x"$have_gmp" = xyes; then
71- AC_MSG_CHECKING([for MPFR])
72-
73- saved_LIBS="$LIBS"
74- LIBS="$LIBS $gmplibs"
75- AC_TRY_LINK([#include <gmp.h>
76-#include <mpfr.h>], [mpfr_t n; mpfr_init(n);],
77- [AC_MSG_RESULT([yes])], [AC_MSG_RESULT([no]); have_gmp=no])
78- LIBS="$saved_LIBS"
79- CFLAGS="$saved_CFLAGS"
80-fi
81-
82-# Flags needed for both GMP and/or MPFR
83-AC_SUBST(gmplibs)
84-AC_SUBST(gmpinc)
85-
86 # By default, C is the only stage 1 language.
87 stage1_languages=c
88 AC_SUBST(stage1_languages)
89@@ -1182,15 +1110,6 @@
90 fi
91 enable_languages=`echo "${enable_languages}" | sed -e 's/[[ ,]][[ ,]]*/,/g' -e 's/,$//'`
92
93- # 'f95' is the old name for the 'fortran' language. We issue a warning
94- # and make the substitution.
95- case ,${enable_languages}, in
96- *,f95,*)
97- echo configure.in: warning: 'f95' as language name is deprecated, use 'fortran' instead 1>&2
98- enable_languages=`echo "${enable_languages}" | sed -e 's/f95/fortran/g'`
99- ;;
100- esac
101-
102 # First scan to see if an enabled language requires some other language.
103 # We assume that a given config-lang.in will list all the language
104 # front ends it requires, even if some are required indirectly.
105@@ -2213,7 +2132,6 @@
106 NCN_STRICT_CHECK_TARGET_TOOLS(DLLTOOL_FOR_TARGET, dlltool)
107 NCN_STRICT_CHECK_TARGET_TOOLS(GCC_FOR_TARGET, gcc, ${CC_FOR_TARGET})
108 NCN_STRICT_CHECK_TARGET_TOOLS(GCJ_FOR_TARGET, gcj)
109-NCN_STRICT_CHECK_TARGET_TOOLS(GFORTRAN_FOR_TARGET, gfortran)
110 NCN_STRICT_CHECK_TARGET_TOOLS(LD_FOR_TARGET, ld)
111 NCN_STRICT_CHECK_TARGET_TOOLS(LIPO_FOR_TARGET, lipo)
112 NCN_STRICT_CHECK_TARGET_TOOLS(NM_FOR_TARGET, nm)
113@@ -2237,9 +2155,7 @@
114 GCC_TARGET_TOOL(gcc, GCC_FOR_TARGET, , [gcc/xgcc -B$$r/$(HOST_SUBDIR)/gcc/])
115 GCC_TARGET_TOOL(gcj, GCJ_FOR_TARGET, GCJ,
116 [gcc/gcj -B$$r/$(HOST_SUBDIR)/gcc/], java)
117-GCC_TARGET_TOOL(gfortran, GFORTRAN_FOR_TARGET, GFORTRAN,
118- [gcc/gfortran -B$$r/$(HOST_SUBDIR)/gcc/], fortran)
119 GCC_TARGET_TOOL(ld, LD_FOR_TARGET, LD, [ld/ld-new])
120 GCC_TARGET_TOOL(lipo, LIPO_FOR_TARGET, LIPO)
121 GCC_TARGET_TOOL(nm, NM_FOR_TARGET, NM, [binutils/nm-new])
122
123--- tmp/Makefile.in.orig 2006-09-06 08:33:46.000000000 +0100
124+++ tmp/Makefile.in 2006-09-06 08:33:46.000000000 +0100
125@@ -119,7 +119,6 @@
126 CXX="$(CXX_FOR_BUILD)"; export CXX; \
127 CXXFLAGS="$(CXXFLAGS_FOR_BUILD)"; export CXXFLAGS; \
128 GCJ="$(GCJ_FOR_BUILD)"; export GCJ; \
129- GFORTRAN="$(GFORTRAN_FOR_BUILD)"; export GFORTRAN; \
130 DLLTOOL="$(DLLTOOL_FOR_BUILD)"; export DLLTOOL; \
131 LD="$(LD_FOR_BUILD)"; export LD; \
132 LDFLAGS="$(LDFLAGS_FOR_BUILD)"; export LDFLAGS; \
133@@ -201,7 +200,6 @@
134 CPPFLAGS="$(CPPFLAGS_FOR_TARGET)"; export CPPFLAGS; \
135 CXXFLAGS="$(CXXFLAGS_FOR_TARGET)"; export CXXFLAGS; \
136 GCJ="$(GCJ_FOR_TARGET)"; export GCJ; \
137- GFORTRAN="$(GFORTRAN_FOR_TARGET)"; export GFORTRAN; \
138 DLLTOOL="$(DLLTOOL_FOR_TARGET)"; export DLLTOOL; \
139 LD="$(COMPILER_LD_FOR_TARGET)"; export LD; \
140 LDFLAGS="$(LDFLAGS_FOR_TARGET)"; export LDFLAGS; \
141@@ -313,7 +311,6 @@
142 CXX_FOR_TARGET=$(STAGE_CC_WRAPPER) @CXX_FOR_TARGET@ $(FLAGS_FOR_TARGET)
143 RAW_CXX_FOR_TARGET=$(STAGE_CC_WRAPPER) @RAW_CXX_FOR_TARGET@ $(FLAGS_FOR_TARGET)
144 GCJ_FOR_TARGET=$(STAGE_CC_WRAPPER) @GCJ_FOR_TARGET@ $(FLAGS_FOR_TARGET)
145-GFORTRAN_FOR_TARGET=$(STAGE_CC_WRAPPER) @GFORTRAN_FOR_TARGET@ $(FLAGS_FOR_TARGET)
146 DLLTOOL_FOR_TARGET=@DLLTOOL_FOR_TARGET@
147 LD_FOR_TARGET=@LD_FOR_TARGET@
148
149@@ -452,7 +449,6 @@
150 "CXXFLAGS_FOR_TARGET=$(CXXFLAGS_FOR_TARGET)" \
151 "DLLTOOL_FOR_TARGET=$(DLLTOOL_FOR_TARGET)" \
152 "GCJ_FOR_TARGET=$(GCJ_FOR_TARGET)" \
153- "GFORTRAN_FOR_TARGET=$(GFORTRAN_FOR_TARGET)" \
154 "LD_FOR_TARGET=$(LD_FOR_TARGET)" \
155 "LIPO_FOR_TARGET=$(LIPO_FOR_TARGET)" \
156 "LDFLAGS_FOR_TARGET=$(LDFLAGS_FOR_TARGET)" \
157@@ -618,7 +614,6 @@
158 maybe-configure-target-libmudflap \
159 maybe-configure-target-libssp \
160 maybe-configure-target-newlib \
161- maybe-configure-target-libgfortran \
162 maybe-configure-target-libobjc \
163 maybe-configure-target-libtermcap \
164 maybe-configure-target-winsup \
165@@ -737,7 +732,6 @@
166 maybe-all-target-libmudflap \
167 maybe-all-target-libssp \
168 maybe-all-target-newlib \
169- maybe-all-target-libgfortran \
170 maybe-all-target-libobjc \
171 maybe-all-target-libtermcap \
172 maybe-all-target-winsup \
173@@ -844,7 +838,6 @@
174 maybe-info-target-libmudflap \
175 maybe-info-target-libssp \
176 maybe-info-target-newlib \
177- maybe-info-target-libgfortran \
178 maybe-info-target-libobjc \
179 maybe-info-target-libtermcap \
180 maybe-info-target-winsup \
181@@ -946,7 +939,6 @@
182 maybe-dvi-target-libmudflap \
183 maybe-dvi-target-libssp \
184 maybe-dvi-target-newlib \
185- maybe-dvi-target-libgfortran \
186 maybe-dvi-target-libobjc \
187 maybe-dvi-target-libtermcap \
188 maybe-dvi-target-winsup \
189@@ -1048,7 +1040,6 @@
190 maybe-html-target-libmudflap \
191 maybe-html-target-libssp \
192 maybe-html-target-newlib \
193- maybe-html-target-libgfortran \
194 maybe-html-target-libobjc \
195 maybe-html-target-libtermcap \
196 maybe-html-target-winsup \
197@@ -1150,7 +1141,6 @@
198 maybe-TAGS-target-libmudflap \
199 maybe-TAGS-target-libssp \
200 maybe-TAGS-target-newlib \
201- maybe-TAGS-target-libgfortran \
202 maybe-TAGS-target-libobjc \
203 maybe-TAGS-target-libtermcap \
204 maybe-TAGS-target-winsup \
205@@ -1252,7 +1242,6 @@
206 maybe-install-info-target-libmudflap \
207 maybe-install-info-target-libssp \
208 maybe-install-info-target-newlib \
209- maybe-install-info-target-libgfortran \
210 maybe-install-info-target-libobjc \
211 maybe-install-info-target-libtermcap \
212 maybe-install-info-target-winsup \
213@@ -1354,7 +1343,6 @@
214 maybe-install-html-target-libmudflap \
215 maybe-install-html-target-libssp \
216 maybe-install-html-target-newlib \
217- maybe-install-html-target-libgfortran \
218 maybe-install-html-target-libobjc \
219 maybe-install-html-target-libtermcap \
220 maybe-install-html-target-winsup \
221@@ -1456,7 +1444,6 @@
222 maybe-installcheck-target-libmudflap \
223 maybe-installcheck-target-libssp \
224 maybe-installcheck-target-newlib \
225- maybe-installcheck-target-libgfortran \
226 maybe-installcheck-target-libobjc \
227 maybe-installcheck-target-libtermcap \
228 maybe-installcheck-target-winsup \
229@@ -1558,7 +1545,6 @@
230 maybe-mostlyclean-target-libmudflap \
231 maybe-mostlyclean-target-libssp \
232 maybe-mostlyclean-target-newlib \
233- maybe-mostlyclean-target-libgfortran \
234 maybe-mostlyclean-target-libobjc \
235 maybe-mostlyclean-target-libtermcap \
236 maybe-mostlyclean-target-winsup \
237@@ -1660,7 +1646,6 @@
238 maybe-clean-target-libmudflap \
239 maybe-clean-target-libssp \
240 maybe-clean-target-newlib \
241- maybe-clean-target-libgfortran \
242 maybe-clean-target-libobjc \
243 maybe-clean-target-libtermcap \
244 maybe-clean-target-winsup \
245@@ -1762,7 +1747,6 @@
246 maybe-distclean-target-libmudflap \
247 maybe-distclean-target-libssp \
248 maybe-distclean-target-newlib \
249- maybe-distclean-target-libgfortran \
250 maybe-distclean-target-libobjc \
251 maybe-distclean-target-libtermcap \
252 maybe-distclean-target-winsup \
253@@ -1864,7 +1848,6 @@
254 maybe-maintainer-clean-target-libmudflap \
255 maybe-maintainer-clean-target-libssp \
256 maybe-maintainer-clean-target-newlib \
257- maybe-maintainer-clean-target-libgfortran \
258 maybe-maintainer-clean-target-libobjc \
259 maybe-maintainer-clean-target-libtermcap \
260 maybe-maintainer-clean-target-winsup \
261@@ -2024,7 +2007,6 @@
262 maybe-check-target-libmudflap \
263 maybe-check-target-libssp \
264 maybe-check-target-newlib \
265- maybe-check-target-libgfortran \
266 maybe-check-target-libobjc \
267 maybe-check-target-libtermcap \
268 maybe-check-target-winsup \
269@@ -2223,7 +2205,6 @@
270 maybe-install-target-libmudflap \
271 maybe-install-target-libssp \
272 maybe-install-target-newlib \
273- maybe-install-target-libgfortran \
274 maybe-install-target-libobjc \
275 maybe-install-target-libtermcap \
276 maybe-install-target-winsup \
277@@ -31606,382 +31587,6 @@
278
279
280 # There's only one multilib.out. Cleverer subdirs shouldn't need it copied.
281-@if target-libgfortran
282-$(TARGET_SUBDIR)/libgfortran/multilib.out: multilib.out
283- $(SHELL) $(srcdir)/mkinstalldirs $(TARGET_SUBDIR)/libgfortran ; \
284- rm -f $(TARGET_SUBDIR)/libgfortran/Makefile || : ; \
285- cp multilib.out $(TARGET_SUBDIR)/libgfortran/multilib.out
286-@endif target-libgfortran
287-
288-
289-
290-.PHONY: configure-target-libgfortran maybe-configure-target-libgfortran
291-maybe-configure-target-libgfortran:
292-@if target-libgfortran
293-maybe-configure-target-libgfortran: configure-target-libgfortran
294-configure-target-libgfortran: $(TARGET_SUBDIR)/libgfortran/multilib.out
295- @$(unstage)
296- @test ! -f $(TARGET_SUBDIR)/libgfortran/Makefile || exit 0; \
297- $(SHELL) $(srcdir)/mkinstalldirs $(TARGET_SUBDIR)/libgfortran ; \
298- r=`${PWD_COMMAND}`; export r; \
299- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
300- $(NORMAL_TARGET_EXPORTS) \
301- echo Configuring in $(TARGET_SUBDIR)/libgfortran; \
302- cd "$(TARGET_SUBDIR)/libgfortran" || exit 1; \
303- case $(srcdir) in \
304- /* | [A-Za-z]:[\\/]*) topdir=$(srcdir) ;; \
305- *) topdir=`echo $(TARGET_SUBDIR)/libgfortran/ | \
306- sed -e 's,\./,,g' -e 's,[^/]*/,../,g' `$(srcdir) ;; \
307- esac; \
308- srcdiroption="--srcdir=$${topdir}/libgfortran"; \
309- libsrcdir="$$s/libgfortran"; \
310- rm -f no-such-file || : ; \
311- CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
312- $(TARGET_CONFIGARGS) $${srcdiroption} \
313- || exit 1
314-@endif target-libgfortran
315-
316-
317-
318-
319-
320-.PHONY: all-target-libgfortran maybe-all-target-libgfortran
321-maybe-all-target-libgfortran:
322-@if target-libgfortran
323-TARGET-target-libgfortran=all
324-maybe-all-target-libgfortran: all-target-libgfortran
325-all-target-libgfortran: configure-target-libgfortran
326- @$(unstage)
327- @r=`${PWD_COMMAND}`; export r; \
328- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
329- $(NORMAL_TARGET_EXPORTS) \
330- (cd $(TARGET_SUBDIR)/libgfortran && \
331- $(MAKE) $(TARGET_FLAGS_TO_PASS) $(TARGET-target-libgfortran))
332-@endif target-libgfortran
333-
334-
335-
336-
337-
338-.PHONY: check-target-libgfortran maybe-check-target-libgfortran
339-maybe-check-target-libgfortran:
340-@if target-libgfortran
341-maybe-check-target-libgfortran: check-target-libgfortran
342-
343-check-target-libgfortran:
344- @: $(MAKE); $(unstage)
345- @r=`${PWD_COMMAND}`; export r; \
346- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
347- $(NORMAL_TARGET_EXPORTS) \
348- (cd $(TARGET_SUBDIR)/libgfortran && \
349- $(MAKE) $(TARGET_FLAGS_TO_PASS) check)
350-
351-@endif target-libgfortran
352-
353-.PHONY: install-target-libgfortran maybe-install-target-libgfortran
354-maybe-install-target-libgfortran:
355-@if target-libgfortran
356-maybe-install-target-libgfortran: install-target-libgfortran
357-
358-install-target-libgfortran: installdirs
359- @: $(MAKE); $(unstage)
360- @r=`${PWD_COMMAND}`; export r; \
361- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
362- $(NORMAL_TARGET_EXPORTS) \
363- (cd $(TARGET_SUBDIR)/libgfortran && \
364- $(MAKE) $(TARGET_FLAGS_TO_PASS) install)
365-
366-@endif target-libgfortran
367-
368-# Other targets (info, dvi, etc.)
369-
370-.PHONY: maybe-info-target-libgfortran info-target-libgfortran
371-maybe-info-target-libgfortran:
372-@if target-libgfortran
373-maybe-info-target-libgfortran: info-target-libgfortran
374-
375-info-target-libgfortran: \
376- configure-target-libgfortran
377- @: $(MAKE); $(unstage)
378- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
379- r=`${PWD_COMMAND}`; export r; \
380- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
381- $(NORMAL_TARGET_EXPORTS) \
382- echo "Doing info in $(TARGET_SUBDIR)/libgfortran" ; \
383- for flag in $(EXTRA_TARGET_FLAGS); do \
384- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
385- done; \
386- (cd $(TARGET_SUBDIR)/libgfortran && \
387- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
388- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
389- "RANLIB=$${RANLIB}" \
390- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
391- info) \
392- || exit 1
393-
394-@endif target-libgfortran
395-
396-.PHONY: maybe-dvi-target-libgfortran dvi-target-libgfortran
397-maybe-dvi-target-libgfortran:
398-@if target-libgfortran
399-maybe-dvi-target-libgfortran: dvi-target-libgfortran
400-
401-dvi-target-libgfortran: \
402- configure-target-libgfortran
403- @: $(MAKE); $(unstage)
404- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
405- r=`${PWD_COMMAND}`; export r; \
406- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
407- $(NORMAL_TARGET_EXPORTS) \
408- echo "Doing dvi in $(TARGET_SUBDIR)/libgfortran" ; \
409- for flag in $(EXTRA_TARGET_FLAGS); do \
410- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
411- done; \
412- (cd $(TARGET_SUBDIR)/libgfortran && \
413- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
414- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
415- "RANLIB=$${RANLIB}" \
416- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
417- dvi) \
418- || exit 1
419-
420-@endif target-libgfortran
421-
422-.PHONY: maybe-html-target-libgfortran html-target-libgfortran
423-maybe-html-target-libgfortran:
424-@if target-libgfortran
425-maybe-html-target-libgfortran: html-target-libgfortran
426-
427-html-target-libgfortran: \
428- configure-target-libgfortran
429- @: $(MAKE); $(unstage)
430- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
431- r=`${PWD_COMMAND}`; export r; \
432- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
433- $(NORMAL_TARGET_EXPORTS) \
434- echo "Doing html in $(TARGET_SUBDIR)/libgfortran" ; \
435- for flag in $(EXTRA_TARGET_FLAGS); do \
436- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
437- done; \
438- (cd $(TARGET_SUBDIR)/libgfortran && \
439- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
440- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
441- "RANLIB=$${RANLIB}" \
442- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
443- html) \
444- || exit 1
445-
446-@endif target-libgfortran
447-
448-.PHONY: maybe-TAGS-target-libgfortran TAGS-target-libgfortran
449-maybe-TAGS-target-libgfortran:
450-@if target-libgfortran
451-maybe-TAGS-target-libgfortran: TAGS-target-libgfortran
452-
453-TAGS-target-libgfortran: \
454- configure-target-libgfortran
455- @: $(MAKE); $(unstage)
456- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
457- r=`${PWD_COMMAND}`; export r; \
458- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
459- $(NORMAL_TARGET_EXPORTS) \
460- echo "Doing TAGS in $(TARGET_SUBDIR)/libgfortran" ; \
461- for flag in $(EXTRA_TARGET_FLAGS); do \
462- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
463- done; \
464- (cd $(TARGET_SUBDIR)/libgfortran && \
465- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
466- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
467- "RANLIB=$${RANLIB}" \
468- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
469- TAGS) \
470- || exit 1
471-
472-@endif target-libgfortran
473-
474-.PHONY: maybe-install-info-target-libgfortran install-info-target-libgfortran
475-maybe-install-info-target-libgfortran:
476-@if target-libgfortran
477-maybe-install-info-target-libgfortran: install-info-target-libgfortran
478-
479-install-info-target-libgfortran: \
480- configure-target-libgfortran \
481- info-target-libgfortran
482- @: $(MAKE); $(unstage)
483- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
484- r=`${PWD_COMMAND}`; export r; \
485- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
486- $(NORMAL_TARGET_EXPORTS) \
487- echo "Doing install-info in $(TARGET_SUBDIR)/libgfortran" ; \
488- for flag in $(EXTRA_TARGET_FLAGS); do \
489- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
490- done; \
491- (cd $(TARGET_SUBDIR)/libgfortran && \
492- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
493- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
494- "RANLIB=$${RANLIB}" \
495- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
496- install-info) \
497- || exit 1
498-
499-@endif target-libgfortran
500-
501-.PHONY: maybe-install-html-target-libgfortran install-html-target-libgfortran
502-maybe-install-html-target-libgfortran:
503-@if target-libgfortran
504-maybe-install-html-target-libgfortran: install-html-target-libgfortran
505-
506-install-html-target-libgfortran: \
507- configure-target-libgfortran \
508- html-target-libgfortran
509- @: $(MAKE); $(unstage)
510- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
511- r=`${PWD_COMMAND}`; export r; \
512- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
513- $(NORMAL_TARGET_EXPORTS) \
514- echo "Doing install-html in $(TARGET_SUBDIR)/libgfortran" ; \
515- for flag in $(EXTRA_TARGET_FLAGS); do \
516- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
517- done; \
518- (cd $(TARGET_SUBDIR)/libgfortran && \
519- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
520- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
521- "RANLIB=$${RANLIB}" \
522- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
523- install-html) \
524- || exit 1
525-
526-@endif target-libgfortran
527-
528-.PHONY: maybe-installcheck-target-libgfortran installcheck-target-libgfortran
529-maybe-installcheck-target-libgfortran:
530-@if target-libgfortran
531-maybe-installcheck-target-libgfortran: installcheck-target-libgfortran
532-
533-installcheck-target-libgfortran: \
534- configure-target-libgfortran
535- @: $(MAKE); $(unstage)
536- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
537- r=`${PWD_COMMAND}`; export r; \
538- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
539- $(NORMAL_TARGET_EXPORTS) \
540- echo "Doing installcheck in $(TARGET_SUBDIR)/libgfortran" ; \
541- for flag in $(EXTRA_TARGET_FLAGS); do \
542- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
543- done; \
544- (cd $(TARGET_SUBDIR)/libgfortran && \
545- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
546- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
547- "RANLIB=$${RANLIB}" \
548- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
549- installcheck) \
550- || exit 1
551-
552-@endif target-libgfortran
553-
554-.PHONY: maybe-mostlyclean-target-libgfortran mostlyclean-target-libgfortran
555-maybe-mostlyclean-target-libgfortran:
556-@if target-libgfortran
557-maybe-mostlyclean-target-libgfortran: mostlyclean-target-libgfortran
558-
559-mostlyclean-target-libgfortran:
560- @: $(MAKE); $(unstage)
561- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
562- r=`${PWD_COMMAND}`; export r; \
563- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
564- $(NORMAL_TARGET_EXPORTS) \
565- echo "Doing mostlyclean in $(TARGET_SUBDIR)/libgfortran" ; \
566- for flag in $(EXTRA_TARGET_FLAGS); do \
567- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
568- done; \
569- (cd $(TARGET_SUBDIR)/libgfortran && \
570- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
571- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
572- "RANLIB=$${RANLIB}" \
573- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
574- mostlyclean) \
575- || exit 1
576-
577-@endif target-libgfortran
578-
579-.PHONY: maybe-clean-target-libgfortran clean-target-libgfortran
580-maybe-clean-target-libgfortran:
581-@if target-libgfortran
582-maybe-clean-target-libgfortran: clean-target-libgfortran
583-
584-clean-target-libgfortran:
585- @: $(MAKE); $(unstage)
586- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
587- r=`${PWD_COMMAND}`; export r; \
588- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
589- $(NORMAL_TARGET_EXPORTS) \
590- echo "Doing clean in $(TARGET_SUBDIR)/libgfortran" ; \
591- for flag in $(EXTRA_TARGET_FLAGS); do \
592- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
593- done; \
594- (cd $(TARGET_SUBDIR)/libgfortran && \
595- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
596- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
597- "RANLIB=$${RANLIB}" \
598- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
599- clean) \
600- || exit 1
601-
602-@endif target-libgfortran
603-
604-.PHONY: maybe-distclean-target-libgfortran distclean-target-libgfortran
605-maybe-distclean-target-libgfortran:
606-@if target-libgfortran
607-maybe-distclean-target-libgfortran: distclean-target-libgfortran
608-
609-distclean-target-libgfortran:
610- @: $(MAKE); $(unstage)
611- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
612- r=`${PWD_COMMAND}`; export r; \
613- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
614- $(NORMAL_TARGET_EXPORTS) \
615- echo "Doing distclean in $(TARGET_SUBDIR)/libgfortran" ; \
616- for flag in $(EXTRA_TARGET_FLAGS); do \
617- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
618- done; \
619- (cd $(TARGET_SUBDIR)/libgfortran && \
620- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
621- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
622- "RANLIB=$${RANLIB}" \
623- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
624- distclean) \
625- || exit 1
626-
627-@endif target-libgfortran
628-
629-.PHONY: maybe-maintainer-clean-target-libgfortran maintainer-clean-target-libgfortran
630-maybe-maintainer-clean-target-libgfortran:
631-@if target-libgfortran
632-maybe-maintainer-clean-target-libgfortran: maintainer-clean-target-libgfortran
633-
634-maintainer-clean-target-libgfortran:
635- @: $(MAKE); $(unstage)
636- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
637- r=`${PWD_COMMAND}`; export r; \
638- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
639- $(NORMAL_TARGET_EXPORTS) \
640- echo "Doing maintainer-clean in $(TARGET_SUBDIR)/libgfortran" ; \
641- for flag in $(EXTRA_TARGET_FLAGS); do \
642- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
643- done; \
644- (cd $(TARGET_SUBDIR)/libgfortran && \
645- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
646- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
647- "RANLIB=$${RANLIB}" \
648- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
649- maintainer-clean) \
650- || exit 1
651-
652-@endif target-libgfortran
653-
654-
655-
656-# There's only one multilib.out. Cleverer subdirs shouldn't need it copied.
657 @if target-libobjc
658 $(TARGET_SUBDIR)/libobjc/multilib.out: multilib.out
659 $(SHELL) $(srcdir)/mkinstalldirs $(TARGET_SUBDIR)/libobjc ; \
660@@ -38574,8 +38179,6 @@
661
662 configure-target-newlib: maybe-all-gcc
663
664-configure-target-libgfortran: maybe-all-gcc
665-
666 configure-target-libobjc: maybe-all-gcc
667
668 configure-target-libtermcap: maybe-all-gcc
669@@ -38613,9 +38216,7 @@
670
671 configure-target-libada: maybe-all-target-newlib maybe-all-target-libgloss
672
673-configure-target-libgfortran: maybe-all-target-newlib maybe-all-target-libgloss
674-
675 configure-target-libffi: maybe-all-target-newlib maybe-all-target-libgloss
676
677 configure-target-libjava: maybe-all-target-newlib maybe-all-target-libgloss
678
679--- tmp/Makefile.tpl.orig 2006-09-06 08:36:52.000000000 +0100
680+++ tmp/Makefile.tpl 2006-09-06 08:36:52.000000000 +0100
681@@ -122,7 +122,6 @@
682 CXX="$(CXX_FOR_BUILD)"; export CXX; \
683 CXXFLAGS="$(CXXFLAGS_FOR_BUILD)"; export CXXFLAGS; \
684 GCJ="$(GCJ_FOR_BUILD)"; export GCJ; \
685- GFORTRAN="$(GFORTRAN_FOR_BUILD)"; export GFORTRAN; \
686 DLLTOOL="$(DLLTOOL_FOR_BUILD)"; export DLLTOOL; \
687 LD="$(LD_FOR_BUILD)"; export LD; \
688 LDFLAGS="$(LDFLAGS_FOR_BUILD)"; export LDFLAGS; \
689@@ -204,7 +203,6 @@
690 CPPFLAGS="$(CPPFLAGS_FOR_TARGET)"; export CPPFLAGS; \
691 CXXFLAGS="$(CXXFLAGS_FOR_TARGET)"; export CXXFLAGS; \
692 GCJ="$(GCJ_FOR_TARGET)"; export GCJ; \
693- GFORTRAN="$(GFORTRAN_FOR_TARGET)"; export GFORTRAN; \
694 DLLTOOL="$(DLLTOOL_FOR_TARGET)"; export DLLTOOL; \
695 LD="$(COMPILER_LD_FOR_TARGET)"; export LD; \
696 LDFLAGS="$(LDFLAGS_FOR_TARGET)"; export LDFLAGS; \
697@@ -316,7 +314,6 @@
698 CXX_FOR_TARGET=$(STAGE_CC_WRAPPER) @CXX_FOR_TARGET@ $(FLAGS_FOR_TARGET)
699 RAW_CXX_FOR_TARGET=$(STAGE_CC_WRAPPER) @RAW_CXX_FOR_TARGET@ $(FLAGS_FOR_TARGET)
700 GCJ_FOR_TARGET=$(STAGE_CC_WRAPPER) @GCJ_FOR_TARGET@ $(FLAGS_FOR_TARGET)
701-GFORTRAN_FOR_TARGET=$(STAGE_CC_WRAPPER) @GFORTRAN_FOR_TARGET@ $(FLAGS_FOR_TARGET)
702 DLLTOOL_FOR_TARGET=@DLLTOOL_FOR_TARGET@
703 LD_FOR_TARGET=@LD_FOR_TARGET@
704
705--- tmp/Makefile.def.orig 2006-09-06 08:38:50.000000000 +0100
706+++ tmp/Makefile.def 2006-09-06 08:38:50.000000000 +0100
707@@ -117,7 +117,6 @@
708 target_modules = { module= libmudflap; lib_path=.libs; };
709 target_modules = { module= libssp; lib_path=.libs; };
710 target_modules = { module= newlib; };
711-target_modules = { module= libgfortran; };
712 target_modules = { module= libobjc; };
713 target_modules = { module= libtermcap; no_check=true;
714 missing=mostlyclean;
715@@ -227,7 +226,6 @@
716 flags_to_pass = { flag= CXXFLAGS_FOR_TARGET ; };
717 flags_to_pass = { flag= DLLTOOL_FOR_TARGET ; };
718 flags_to_pass = { flag= GCJ_FOR_TARGET ; };
719-flags_to_pass = { flag= GFORTRAN_FOR_TARGET ; };
720 flags_to_pass = { flag= LD_FOR_TARGET ; };
721 flags_to_pass = { flag= LIPO_FOR_TARGET ; };
722 flags_to_pass = { flag= LDFLAGS_FOR_TARGET ; };
723@@ -415,7 +413,6 @@
724 lang_env_dependencies = { module=boehm-gc; };
725 lang_env_dependencies = { module=gperf; cxx=true; };
726 lang_env_dependencies = { module=libada; };
727-lang_env_dependencies = { module=libgfortran; };
728 lang_env_dependencies = { module=libffi; };
729 lang_env_dependencies = { module=libjava; cxx=true; };
730 lang_env_dependencies = { module=libmudflap; };
731
732--- tmp/configure.orgig 2006-09-06 10:01:52.000000000 +0100
733+++ tmp/configure 2006-09-06 10:01:52.000000000 +0100
734@@ -921,7 +921,6 @@
735 target-libstdc++-v3 \
736 target-libmudflap \
737 target-libssp \
738- target-libgfortran \
739 ${libgcj} \
740 target-libobjc \
741 target-libada"
742@@ -2246,135 +2245,6 @@
743 fi
744
745
746-
747-
748-
749-
750-# Check for GMP and MPFR
751-gmplibs=
752-gmpinc=
753-have_gmp=yes
754-# Specify a location for mpfr
755-# check for this first so it ends up on the link line before gmp.
756-# Check whether --with-mpfr-dir or --without-mpfr-dir was given.
757-if test "${with_mpfr_dir+set}" = set; then
758- withval="$with_mpfr_dir"
759- :
760-fi
761-
762-
763-if test "x$with_mpfr_dir" != x; then
764- gmpinc="-I$with_mpfr_dir"
765- gmplibs="$with_mpfr_dir/libmpfr.a"
766-else
767- gmplibs="-lmpfr"
768-fi
769-
770-# Check whether --with-mpfr or --without-mpfr was given.
771-if test "${with_mpfr+set}" = set; then
772- withval="$with_mpfr"
773- :
774-fi
775-
776-
777-if test "x$with_mpfr" != x; then
778- gmplibs="-L$with_mpfr/lib $gmplibs"
779- gmpinc="-I$with_mpfr/include"
780-fi
781-
782-# Specify a location for gmp
783-# Check whether --with-gmp-dir or --without-gmp-dir was given.
784-if test "${with_gmp_dir+set}" = set; then
785- withval="$with_gmp_dir"
786- :
787-fi
788-
789-
790-if test "x$with_gmp_dir" != x; then
791- gmpinc="$gmpinc -I$with_gmp_dir"
792- if test -f "$with_gmp_dir/.libs/libgmp.a"; then
793- gmplibs="$gmplibs $with_gmp_dir/.libs/libgmp.a"
794- elif test -f "$with_gmp_dir/_libs/libgmp.a"; then
795- gmplibs="$gmplibs $with_gmp_dir/_libs/libgmp.a"
796- fi
797- # One of the later tests will catch the error if neither library is present.
798-else
799- gmplibs="$gmplibs -lgmp"
800-fi
801-
802-# Check whether --with-gmp or --without-gmp was given.
803-if test "${with_gmp+set}" = set; then
804- withval="$with_gmp"
805- :
806-fi
807-
808-
809-if test "x$with_gmp" != x; then
810- gmplibs="-L$with_gmp/lib $gmplibs"
811- gmpinc="-I$with_gmp/include $gmpinc"
812-fi
813-
814-saved_CFLAGS="$CFLAGS"
815-CFLAGS="$CFLAGS $gmpinc"
816-# Check GMP actually works
817-echo $ac_n "checking for correct version of gmp.h""... $ac_c" 1>&6
818-echo "configure:2322: checking for correct version of gmp.h" >&5
819-cat > conftest.$ac_ext <<EOF
820-#line 2324 "configure"
821-#include "confdefs.h"
822-#include "gmp.h"
823-int main() {
824-
825-#if __GNU_MP_VERSION < 3
826-choke me
827-#endif
828-
829-; return 0; }
830-EOF
831-if { (eval echo configure:2335: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
832- rm -rf conftest*
833- echo "$ac_t""yes" 1>&6
834-else
835- echo "configure: failed program was:" >&5
836- cat conftest.$ac_ext >&5
837- rm -rf conftest*
838- echo "$ac_t""no" 1>&6; have_gmp=no
839-fi
840-rm -f conftest*
841-
842-if test x"$have_gmp" = xyes; then
843- echo $ac_n "checking for MPFR""... $ac_c" 1>&6
844-echo "configure:2348: checking for MPFR" >&5
845-
846- saved_LIBS="$LIBS"
847- LIBS="$LIBS $gmplibs"
848- cat > conftest.$ac_ext <<EOF
849-#line 2353 "configure"
850-#include "confdefs.h"
851-#include <gmp.h>
852-#include <mpfr.h>
853-int main() {
854-mpfr_t n; mpfr_init(n);
855-; return 0; }
856-EOF
857-if { (eval echo configure:2361: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
858- rm -rf conftest*
859- echo "$ac_t""yes" 1>&6
860-else
861- echo "configure: failed program was:" >&5
862- cat conftest.$ac_ext >&5
863- rm -rf conftest*
864- echo "$ac_t""no" 1>&6; have_gmp=no
865-fi
866-rm -f conftest*
867- LIBS="$saved_LIBS"
868- CFLAGS="$saved_CFLAGS"
869-fi
870-
871-# Flags needed for both GMP and/or MPFR
872-
873-
874-
875 # By default, C is the only stage 1 language.
876 stage1_languages=c
877
878@@ -2402,15 +2272,6 @@
879 fi
880 enable_languages=`echo "${enable_languages}" | sed -e 's/[ ,][ ,]*/,/g' -e 's/,$//'`
881
882- # 'f95' is the old name for the 'fortran' language. We issue a warning
883- # and make the substitution.
884- case ,${enable_languages}, in
885- *,f95,*)
886- echo configure.in: warning: 'f95' as language name is deprecated, use 'fortran' instead 1>&2
887- enable_languages=`echo "${enable_languages}" | sed -e 's/f95/fortran/g'`
888- ;;
889- esac
890-
891 # First scan to see if an enabled language requires some other language.
892 # We assume that a given config-lang.in will list all the language
893 # front ends it requires, even if some are required indirectly.
894@@ -5036,81 +4897,6 @@
895 fi
896 fi
897
898- for ncn_progname in gfortran; do
899- if test -n "$ncn_target_tool_prefix"; then
900- # Extract the first word of "${ncn_target_tool_prefix}${ncn_progname}", so it can be a program name with args.
901-set dummy ${ncn_target_tool_prefix}${ncn_progname}; ac_word=$2
902-echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
903-echo "configure:5045: checking for $ac_word" >&5
904-if eval "test \"`echo '$''{'ac_cv_prog_GFORTRAN_FOR_TARGET'+set}'`\" = set"; then
905- echo $ac_n "(cached) $ac_c" 1>&6
906-else
907- if test -n "$GFORTRAN_FOR_TARGET"; then
908- ac_cv_prog_GFORTRAN_FOR_TARGET="$GFORTRAN_FOR_TARGET" # Let the user override the test.
909-else
910- IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
911- ac_dummy="$PATH"
912- for ac_dir in $ac_dummy; do
913- test -z "$ac_dir" && ac_dir=.
914- if test -f $ac_dir/$ac_word; then
915- ac_cv_prog_GFORTRAN_FOR_TARGET="${ncn_target_tool_prefix}${ncn_progname}"
916- break
917- fi
918- done
919- IFS="$ac_save_ifs"
920-fi
921-fi
922-GFORTRAN_FOR_TARGET="$ac_cv_prog_GFORTRAN_FOR_TARGET"
923-if test -n "$GFORTRAN_FOR_TARGET"; then
924- echo "$ac_t""$GFORTRAN_FOR_TARGET" 1>&6
925-else
926- echo "$ac_t""no" 1>&6
927-fi
928-
929- fi
930- if test -z "$ac_cv_prog_GFORTRAN_FOR_TARGET" && test $build = $target ; then
931- # Extract the first word of "${ncn_progname}", so it can be a program name with args.
932-set dummy ${ncn_progname}; ac_word=$2
933-echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
934-echo "configure:5076: checking for $ac_word" >&5
935-if eval "test \"`echo '$''{'ac_cv_prog_GFORTRAN_FOR_TARGET'+set}'`\" = set"; then
936- echo $ac_n "(cached) $ac_c" 1>&6
937-else
938- if test -n "$GFORTRAN_FOR_TARGET"; then
939- ac_cv_prog_GFORTRAN_FOR_TARGET="$GFORTRAN_FOR_TARGET" # Let the user override the test.
940-else
941- IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
942- ac_dummy="$PATH"
943- for ac_dir in $ac_dummy; do
944- test -z "$ac_dir" && ac_dir=.
945- if test -f $ac_dir/$ac_word; then
946- ac_cv_prog_GFORTRAN_FOR_TARGET="${ncn_progname}"
947- break
948- fi
949- done
950- IFS="$ac_save_ifs"
951-fi
952-fi
953-GFORTRAN_FOR_TARGET="$ac_cv_prog_GFORTRAN_FOR_TARGET"
954-if test -n "$GFORTRAN_FOR_TARGET"; then
955- echo "$ac_t""$GFORTRAN_FOR_TARGET" 1>&6
956-else
957- echo "$ac_t""no" 1>&6
958-fi
959-
960- fi
961- test -n "$ac_cv_prog_GFORTRAN_FOR_TARGET" && break
962-done
963-
964-if test -z "$ac_cv_prog_GFORTRAN_FOR_TARGET" ; then
965- set dummy gfortran
966- if test $build = $target ; then
967- GFORTRAN_FOR_TARGET="$2"
968- else
969- GFORTRAN_FOR_TARGET="${ncn_target_tool_prefix}$2"
970- fi
971-fi
972-
973 for ncn_progname in ld; do
974 if test -n "$ncn_target_tool_prefix"; then
975 # Extract the first word of "${ncn_target_tool_prefix}${ncn_progname}", so it can be a program name with args.
976@@ -5843,34 +5629,6 @@
977 echo "$ac_t""pre-installed" 1>&6
978 fi
979 fi
980-echo $ac_n "checking where to find the target gfortran""... $ac_c" 1>&6
981-echo "configure:5848: checking where to find the target gfortran" >&5
982-if test "x${build}" != "x${host}" ; then
983- # Canadian cross, just use what we found
984- echo "$ac_t""pre-installed" 1>&6
985-else
986- ok=yes
987- case " ${configdirs} " in
988- *" gcc "*) ;;
989- *) ok=no ;;
990- esac
991- case ,${enable_languages}, in
992- *,fortran,*) ;;
993- *) ok=no ;;
994- esac
995- if test $ok = yes; then
996- # An in-tree tool is available and we can use it
997- GFORTRAN_FOR_TARGET='$$r/$(HOST_SUBDIR)/gcc/gfortran -B$$r/$(HOST_SUBDIR)/gcc/'
998- echo "$ac_t""just compiled" 1>&6
999- elif test "x$target" = "x$host"; then
1000- # We can use an host tool
1001- GFORTRAN_FOR_TARGET='$(GFORTRAN)'
1002- echo "$ac_t""host tool" 1>&6
1003- else
1004- # We need a cross tool
1005- echo "$ac_t""pre-installed" 1>&6
1006- fi
1007-fi
1008 echo $ac_n "checking where to find the target ld""... $ac_c" 1>&6
1009 echo "configure:5876: checking where to find the target ld" >&5
1010 if test "x${build}" != "x${host}" ; then
1011@@ -6413,7 +6171,6 @@
1012 s%@DLLTOOL_FOR_TARGET@%$DLLTOOL_FOR_TARGET%g
1013 s%@GCC_FOR_TARGET@%$GCC_FOR_TARGET%g
1014 s%@GCJ_FOR_TARGET@%$GCJ_FOR_TARGET%g
1015-s%@GFORTRAN_FOR_TARGET@%$GFORTRAN_FOR_TARGET%g
1016 s%@LD_FOR_TARGET@%$LD_FOR_TARGET%g
1017 s%@LIPO_FOR_TARGET@%$LIPO_FOR_TARGET%g
1018 s%@NM_FOR_TARGET@%$NM_FOR_TARGET%g
1019
1020--- tmp/config-ml.in.orig 2006-09-06 10:27:49.000000000 +0100
1021+++ tmp/config-ml.in 2006-09-06 10:27:49.000000000 +0100
1022@@ -785,14 +785,12 @@
1023 break
1024 fi
1025 done
1026- ml_config_env='CC="${CC_}$flags" CXX="${CXX_}$flags" F77="${F77_}$flags" GCJ="${GCJ_}$flags" GFORTRAN="${GFORTRAN_}$flags"'
1027+ ml_config_env='CC="${CC_}$flags" CXX="${CXX_}$flags" GCJ="${GCJ_}$flags"'
1028
1029 if [ "${with_target_subdir}" = "." ]; then
1030 CC_=$CC' '
1031 CXX_=$CXX' '
1032- F77_=$F77' '
1033 GCJ_=$GCJ' '
1034- GFORTRAN_=$GFORTRAN' '
1035 else
1036 # Create a regular expression that matches any string as long
1037 # as ML_POPDIR.
1038@@ -821,18 +819,6 @@
1039 esac
1040 done
1041
1042- F77_=
1043- for arg in ${F77}; do
1044- case $arg in
1045- -[BIL]"${ML_POPDIR}"/*)
1046- F77_="${F77_}"`echo "X${arg}" | sed -n "s/X\\(-[BIL]${popdir_rx}\\).*/\\1/p"`/${ml_dir}`echo "X${arg}" | sed -n "s/X-[BIL]${popdir_rx}\\(.*\\)/\\1/p"`' ' ;;
1047- "${ML_POPDIR}"/*)
1048- F77_="${F77_}"`echo "X${arg}" | sed -n "s/X\\(${popdir_rx}\\).*/\\1/p"`/${ml_dir}`echo "X${arg}" | sed -n "s/X${popdir_rx}\\(.*\\)/\\1/p"`' ' ;;
1049- *)
1050- F77_="${F77_}${arg} " ;;
1051- esac
1052- done
1053-
1054 GCJ_=
1055 for arg in ${GCJ}; do
1056 case $arg in
1057@@ -845,18 +831,6 @@
1058 esac
1059 done
1060
1061- GFORTRAN_=
1062- for arg in ${GFORTRAN}; do
1063- case $arg in
1064- -[BIL]"${ML_POPDIR}"/*)
1065- GFORTRAN_="${GFORTRAN_}"`echo "X${arg}" | sed -n "s/X\\(-[BIL]${popdir_rx}\\).*/\\1/p"`/${ml_dir}`echo "X${arg}" | sed -n "s/X-[BIL]${popdir_rx}\\(.*\\)/\\1/p"`' ' ;;
1066- "${ML_POPDIR}"/*)
1067- GFORTRAN_="${GFORTRAN_}"`echo "X${arg}" | sed -n "s/X\\(${popdir_rx}\\).*/\\1/p"`/${ml_dir}`echo "X${arg}" | sed -n "s/X${popdir_rx}\\(.*\\)/\\1/p"`' ' ;;
1068- *)
1069- GFORTRAN_="${GFORTRAN_}${arg} " ;;
1070- esac
1071- done
1072-
1073 if test "x${LD_LIBRARY_PATH+set}" = xset; then
1074 LD_LIBRARY_PATH_=
1075 for arg in `echo "$LD_LIBRARY_PATH" | tr ':' ' '`; do